variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task

sonarcloud-check:
  image: maven:3.6.3-jdk-11
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - mvn verify sonar:sonar -Dsonar.projectKey=jan.vanzoggel_mvn-example
  only:
    - merge_requests
    - master
    - develop

deploy:
  script:
    - 'cp ci_settings.xml /root/.m2/settings.xml'
    - 'mvn deploy'
  only:
    - master
  image: maven:3.3.9-jdk-8
